OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions | Variables
Util.h File Reference
`#include <openvdb/Types.h>`
`#include <openvdb/tree/Tree.h>`
`#include <openvdb/tools/ValueTransformer.h>`
`#include <openvdb/tools/Prune.h>`
`#include <limits>`

Go to the source code of this file.

## Classes
class | LeafTopologyIntOp< TreeType1, TreeType2 >
| Functor for use with tools::foreach() to compute the boolean intersection between the value masks of corresponding leaf nodes in two trees. More...
class | LeafTopologyDiffOp< TreeType1, TreeType2 >
| Functor for use with tools::foreach() to compute the boolean difference between the value masks of corresponding leaf nodes in two trees. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::util

## Functions
Coord | nearestCoord (const Vec3d &voxelCoord)
| Return voxelCoord rounded to the closest integer coordinates.
template<class TreeType1 , class TreeType2 >
TreeType1::template ValueConverter< bool >::Type::Ptr | leafTopologyIntersection (const TreeType1 &lhs, const TreeType2 &rhs, bool threaded=true)
| Perform a boolean intersection between two leaf nodes' topology masks.
template<class TreeType1 , class TreeType2 >
TreeType1::template ValueConverter< bool >::Type::Ptr | leafTopologyDifference (const TreeType1 &lhs, const TreeType2 &rhs, bool threaded=true)
| Perform a boolean difference between two leaf nodes' topology masks.

## Variables
constexpr Index32 | INVALID_IDX = std::numeric_limits<Index32>::max()
constexpr Coord | COORD_OFFSETS [26]
| coordinate offset table for neighboring voxels